
/* Containers */
.ContactContainer
{
    position: relative;
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;

    background-image: url("../Sources/repeat.png");
    background-size: 100% auto;
    background-repeat: repeat-y;
}

.ContactJustifier
{
    position: relative;

    display: flex;
    flex-direction: column;
    
    width: 85%;
    max-width: 1000px;
}

.ContactForm
{
    width: 100%;
    display: flex;
    flex-direction: column;
}

/* Information */
.InformationContainer
{
    position: relative;
    width: 100%;
    margin-top: 2rem;
    margin-bottom: 4rem;

    display: flex;
    justify-content: center;
}

.InformationJustifier
{
    position: relative;
    width: 80%;

    background-color: rgb(80, 80, 80);
    border: 1px solid red;
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 15px rgba(0,0,0,0.5);

    display: flex;
    justify-content: center;
    align-items: center;
}

.InformationJustifier p
{
    position: relative;
    width: 90%;

    padding: 1rem 0rem;
    margin: 0;

    text-align: justify;
    line-height: 175%;

    font-size: 0.6rem;
    color: white;
}

/* Form */
.FormRow
{
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: space-around;

    width: 100%;
    margin-bottom: 2.5rem;
}

.FirstRow
{
    margin-bottom: 2.5rem;
}

/* Select container */
.SelectContainer
{
    position: relative;

    display: flex;
    flex-direction: column;
    width: 15rem;
}

.FormSelect
{
    position: relative;
    width: 100%;
    height: 2.3rem;
    cursor: pointer;
}

.FormSelect input
{
    position: relative;
    z-index: 500;
    cursor: pointer;

    padding: 0;
    margin-left: 4rem;

    width: 9rem;
    height: 2.3rem;
    background-color: transparent;

    outline: none;
    border: none;

    font-size: 0.8rem;
    font-weight: 400;

    text-align: left;
    color: white;
}

.FormInput
{
    position: relative;
    width: 12.66rem;
    height: 2.3rem;
    cursor: pointer;
}

.FormInput input
{
    position: relative;
    z-index: 500;
    cursor: pointer;

    padding: 0;
    margin-left: 1.5rem;

    width: 9.5rem;
    height: 2.3rem;
    background-color: transparent;

    outline: none;
    border: none;

    font-size: 0.8rem;
    font-weight: 400;

    text-align: left;
    color: white;
}

.FormImg
{
    position: absolute;
    width: 100%;
    height: 100%;
}

::placeholder /* Firefox */
{
    color: rgb(170, 170, 170);
    opacity: 1;
}
  
::-ms-input-placeholder /* Edge 12 -18 */
{
    color: rgb(170, 170, 170);
}

/* Select dropdown */
.SelectDropdown
{
    position: relative;
    height: 0rem;
    overflow: hidden;

    display: flex;
    flex-direction: column;

    transition-property: height;
    transition-duration: 0.2s;
    transition-timing-function: ease-in;
}

.DropdownOption
{
    position: relative;
    display: flex;
    flex-direction: row;
    cursor: pointer;

    width: 12.95rem; /* 12.95 */
    height: 2rem;

    border-left: 1px solid white;
    border-right: 1px solid white;
    border-bottom: 1px solid white;

    /* Prevent text selection while dragging */
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.DropdownOption span
{
    position: relative;
    background-color: rgb(200, 200, 200);

    display: flex;
    flex-direction: row;
    justify-content: flex-end;

    width: 2.1rem;
    height: 100%;
    padding-right: 0.3rem;

    font-size: 1.3rem;
    font-weight: 800;
    color: red;
}

.DropdownOption p
{
    position: relative;
    margin: 0;

    display: flex;
    align-items: center;

    width: 9.55rem;
    height: 100%;

    padding-left: 1rem;
    background-color: rgb(80, 80, 80);

    font-size: 0.8rem;
    color: rgb(200, 200, 200);
}

/* Report users */
.ReportContainer
{
    position: relative;
    width: 100%;

    display: none;
    justify-content: center;
    margin-bottom: 3rem;
}

.ReportJustifier
{
    position: relative;
    width: 70%;
}

.AddReportContainer
{
    position: relative;

    display: flex;
    align-items: center;

    width: 100%;
    height: 2rem;

    background-color: rgb(80, 80, 80);
    box-shadow: 0px 0px 15px rgba(0,0,0,0.5);

    border: 1px solid red;
}

.AddReportContainer p
{
    position: relative;
    margin: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    width: 20%;
    height: 1.5rem;

    font-size: 0.8rem;
    color: white;
}

.ReportUser
{
    position: relative;
    padding-left: 0.5rem;

    width: 100%;
    height: 1.5rem;

    display: flex;
    align-items: center;

    border: none;
    outline: none;

    background-color: rgb(150, 150, 150);
    color: white;
}

.AddReportUser
{
    position: relative;
    margin: 0rem 0.25rem;
    cursor: pointer;

    display: flex;
    justify-content: center;
    align-items: center;

    min-width: 1.5rem;
    width: 1.5rem;

    min-height: 1.5rem;
    height: 1.5rem;

    background-color: white;
    color: red;

    transition-property: background-color, color;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

 /**/
.ReportedUsersContainer
{
    position: relative;
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;

    background-color: rgb(80, 80, 80);
}

.ReportedUser
{
    position: relative;
    overflow: hidden;

    width: 95%;
    height: 1.5rem;

    display: flex;
    flex-direction: row;
    align-items: center;
}

.ReportedUserDot
{
    position: relative;
    margin: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    width: 1.5rem;
    height: 1.5rem;

    background-color: rgb(150, 150, 150);

    font-weight: 800;
    color: red;
}

.ReportedUserName
{
    position: relative;
    cursor: default;

    outline: none;
    border: none;

    display: flex;
    align-items: center;

    width: 100%;
    height: 1.5rem;
    padding-left: 0.5rem;

    background-color: white;
    color: black;
}

.DeleteReportedUser
{
    position: relative;
    cursor: pointer;

    display: flex;
    justify-content: center;
    align-items: center;

    width: 1.5rem;
    height: 1.5rem;

    background-color: red;
    color: white;

    transition-property: background-color, color;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

/* Message */
.MessageContainer
{
    position: relative;
    width: 100%;

    display: flex;
    justify-content: center;
    margin-bottom: 3rem;
}

.MessageJustifier
{
    position: relative;
    width: 70%;
    aspect-ratio: 2 / 1;

    display: flex;
    justify-content: center;
    align-items: center;

    background-color: rgb(60, 60, 60);
    box-shadow: 0px 0px 15px rgba(0,0,0,0.5);
    border: 1px solid white;
}

.MessageJustifier textarea
{
    position: relative;
    resize: none;
    outline: none;

    padding: 3%;
    width: 92.5%;
    height: 85%;

    border: 1px solid red;
    background-color: rgb(80, 80, 80);
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.2);

    font-size: 0.8rem;
    color: white;

    text-align: justify;
    line-height: 150%;
}

@media (hover: hover)
{
    .AddReportUser:hover
    {
        background-color: red;
        color: white;
    }

    .DeleteReportedUser:hover
    {
        background-color: white;
        color: red;
    }
}

@media screen and (max-width: 580px)
{
    .ContactJustifier
    {
        width: 100%;
    }

    .FormRow
    {
        width: 80%;
        align-self: center;

        flex-direction: column;
        align-items: flex-end;
        gap: 2rem;
    }

    .FirstRow
    {
        margin-bottom: 4rem;
    }

    .MessageJustifier
    {
        aspect-ratio: 1 / 1.5;
    }

    .MessageJustifier textarea
    {
        height: 95%;
    }
}